<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 10/30/14, 1:08 PM
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/
 */
namespace OCA\Firewall\AppInfo;

use OCP\App;
use OCP\Util;

$appManager = \OC::$server->getAppManager();

if (!$appManager->isEnabledForUser('enterprise_key') && !isset(\OC::$server->getRequest()->server['TRAVIS'])) {
	// Enable accidentally disabled license app. Can happen during upgrade.
	\OC::$server->getLogger()->error('Enabling Enterprise license app which was deactivated.', ['app' => 'firewall']);
	$appManager->enableApp('enterprise_key');
}

if (!\OC::$CLI) {
	$app = new Application();
	$app->boot();
}
