<?php
/**
 * ownCloud Firewall
 *
 * @author Joas Schilling <nickvergessen@owncloud.com>
 * @copyright (C) 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\Firewall\Tests\Lib;


use OCA\Firewall\Ruler;
use Test\TestCase;

class RulerTest extends TestCase {

	/** @var Ruler */
	protected $ruler;

	protected function setUp() {
		parent::setUp();
		$this->ruler = new Ruler();
	}

	public function dataCustomOperators() {
		return [
			[Ruler::OPERATOR_EQUALS],
			[Ruler::OPERATOR_NOT_EQUALS],

			[Ruler::OPERATOR_NOT_IN],

			[Ruler::OPERATOR_LESS],
			[Ruler::OPERATOR_LESS_OR_EQUALS],
			[Ruler::OPERATOR_GREATER],
			[Ruler::OPERATOR_GREATER_OR_EQUALS],

			[Ruler::OPERATOR_BEGINS_WITH],
			[Ruler::OPERATOR_NOT_BEGINS_WITH],
			[Ruler::OPERATOR_CONTAINS],
			[Ruler::OPERATOR_NOT_CONTAINS],
			[Ruler::OPERATOR_ENDS_WITH],
			[Ruler::OPERATOR_NOT_ENDS_WITH],
		];
	}

	/**
	 * @dataProvider dataCustomOperators
	 *
	 * @param string $operator
	 */
	public function testCustomOperators($operator) {
		/** @var \Hoa\Ruler\Visitor\Asserter $asserter */
		$asserter = $this->ruler->getAsserter();
		$this->assertNotNull($asserter->getOperator($operator), 'Asserting that custom operator "' . $operator . '" exists.');
	}
}
