<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @author Frank Karlitscheck <frank@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// check if license app is enabled
use OCA\User_Shibboleth\Mode\AutoProvisioning;

if((!defined('PHPUNIT_RUN') || !(bool)PHPUNIT_RUN)
	&& !OCP\App::isEnabled('enterprise_key')
) {

	// enable accidentally disabled license app. Can happen during upgrade.
	OCP\Util::writeLog('user_shibboleth','Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
	OC_App::enable('enterprise_key');

} else {

	\OCP\App::registerAdmin('user_shibboleth', 'settings/admin');

	$userBackend = \OCA\User_Shibboleth\UserBackendFactory::createForStaticLegacyCode();

	if ($userBackend) {
		$isAutoProvision = ($userBackend->getMode() instanceof AutoProvisioning);

		if (!is_null($userBackend->getCurrentUserId())) {
			OC_Util::addScript("user_shibboleth", "shibboleth");
			if ($isAutoProvision) {
				\OCP\App::registerPersonal('user_shibboleth', 'settings/personal');
			}
		}

		OC_User::useBackend($userBackend);

		if (!is_null(\OC::$server->getUserSession()->getUser())) {
			if (!\OC::$server->getSession()->exists('timezone')) {
				\OCP\Util::addscript('user_shibboleth', 'timezone');
			}

			\OCP\Util::connectHook('OC_Filesystem', 'setup', 'OCA\User_Shibboleth\UserBackend', 'setupFS');
		}
	}
}
