<?php
/**
 * ownCloud
 *
 * @author Krzesimir Nowak
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\User_Shibboleth;

use OC_OCS_Result;
use OCA\User_Shibboleth\Db\ShibbolethUserMapper;
use OCP\API;

/**
 * This class provides functions to manage apps in ownCloud
 */
class Provisioning {

	public static function deleteCredential($parameters) {
		if(isset($parameters['userid'])) {
			// FIXME allow injection by passing db mapper as parameter
			$result = ShibbolethUserMapper::clearWebDAVPassword($parameters['userid']);
			if ($result)
				return new OC_OCS_Result();
			else
				return new OC_OCS_Result(null, API::RESPOND_NOT_FOUND, "User not found");
		}
		return new OC_OCS_Result(null, API::RESPOND_SERVER_ERROR, "Server error");
	}

}
